org.apache.solr.client.solrj.cloud.autoscaling

## Class Preference

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Preference

All Implemented Interfaces:
  MapSerializable, MapWriter, NavigableObject

Deprecated.
to be removed in Solr 9.0 (see SOLR-14656)

    public class Preference
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
Constructor and Description
`Preference(Map<String,Object> m)` Deprecated.
`Preference(Map<String,Object> m, int idx)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals(Object o)` Deprecated.
`Policy.SortParam` `getName()` Deprecated.
`Map` `getOriginal()` Deprecated.
`int` `hashCode()` Deprecated.
`String` `toString()` Deprecated.
`void` `writeMap(MapWriter.EntryWriter ew)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Constructor Detail

#### Preference

    public Preference(Map<String,Object> m)

Deprecated.

#### Preference

    public Preference(Map<String,Object> m,
                      int idx)

Deprecated.

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Deprecated.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### equals

    public boolean equals(Object o)

Deprecated.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`

#### getName

    public Policy.SortParam getName()

Deprecated.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

#### getOriginal

    public Map getOriginal()

Deprecated.

Returns:
  an unmodifiable copy of the original map from which this object was constructed